#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 4 solution with KHTML engine
Name:           khtml
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  giflib-devel
BuildRequires:  attica-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kinit-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kjs-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kwallet-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  gperf

%description
KHTML is a web rendering engine, based on the KParts technology and using KJS 
for JavaScript support.

%files -f khtml5.lang
%_sysconfdir/xdg/khtmlrc
%_sysconfdir/xdg/khtml.categories
%_kf5_datadir/kf5/khtml
%_kf5_plugindir/parts/*.so
%_kf5_services/*.desktop
%_kf5_datadir/kf5/kjava/pluginsinfo
%_kf5_datadir/kf5/kjava

#--------------------------------------------------------------------

%define kf5khtml_major 5
%define libkf5khtml %mklibname kf5khtml %{kf5khtml_major}

%package -n %libkf5khtml
Summary:  KDE Frameworks 5 Tier 4 solution with KHTML engine
Requires: %name = %version-%release
Group:        System/Libraries

%description -n %libkf5khtml
KHTML is a web rendering engine, based on the KParts technology and using KJS 
for JavaScript support.

%files -n %libkf5khtml
%_kf5_libdir/libKF5KHtml.so.%{kf5khtml_major}*

#--------------------------------------------------------------------

%define kf5khtml_devel %mklibname kf5khtml -d

%package -n %kf5khtml_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5khtml = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5khtml_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5khtml_devel
%_kf5_includedir/KHtml
%_kf5_includedir/khtml_version.h
%_kf5_libdir/cmake/KF5KHtml
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang khtml5


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194134
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088968
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074539
- New version 5.29.0

* Mon Dec 05 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072610
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058359
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051406
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045114
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041709
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036252
- add missing tarball

  + neoclust <neoclust>
    - New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014344
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999600
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986962
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942253
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921325
- New version 5.18.0

* Thu Jan 07 2016 luigiwalser <luigiwalser> 5.17.0-2.mga6
+ Revision: 920398
- rebuild for giflib

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909915
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900508
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899460
- Rebuild against fixed extra-cmake-modules
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888202
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881426
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862987
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862825
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 29 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 858833
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849277
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804067
- New version 5.5.0
- New version 5.1.0
- New version 5.1.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653448
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Thu Mar 06 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600542
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597595
- imported package khtml

